## asm2 2.2.3

=== debian/changelog ===
asm2 (2.2.3-6) unstable; urgency=low

  * Team upload.
  * Recommend default-jdk-doc instead of depending on specific
    javadoc providing packages.  (Closes: #567266)

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 10:29:46 +0200

asm2 (2.2.3-5) unstable; urgency=low

  * Team upload.

  [ Thierry Carrez ]
  * Updated copyright attribution to INRIA / France Telecom (LP: #452901)

  [ Torsten Werner ]
  * Remove Barry from Uploaders list.
  * Switch to source format 3.0.
  * Change Build-Depends-Indep: default-jkd-doc.

 -- Torsten Werner <twerner@debian.org>  Thu, 04 Aug 2011 22:36:51 +0200

asm2 (2.2.3-4) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:00:50 +0200

asm2 (2.2.3-3) experimental; urgency=low

  * Change section to java, bump up Standards-Version to 3.8.2
  * Update debhelper compat to 6
  * Remove Depends on Java runtimes as it is a library
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Add the Maven POMs to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add a Build-Depends dependency on quilt
  * Patch the build.xml script to work properly (was FTBFS on my machine)
  * Move api documentation to /usr/share/doc/libasm2/api

  [Damien Raude-Morvan]
  * Removed Marcus Crafter from Uploaders (Closes: #521479)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 21 Jul 2009 20:31:27 +0100

asm2 (2.2.3-2) unstable; urgency=low

  * Clarified debian/copyright.
  * Moved debian/rules to CDBS.
  * Removed -1 form versions in Build-Depends.
  * Removed Wolfgang from Uploaders.
  * Updated to debhelper level 5.
  * Added Homepage, Vcs-Svn and Svn-Browser fields.
  * Changed watch file to another mirror.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Feb 2008 12:36:13 +0100

asm2 (2.2.3-1) unstable; urgency=low

  * New upstream release (with own source package due to API
    incompatibilities). Closes: #333164.

 -- Michael Koch <konqueror@gmx.de>  Sat, 14 Apr 2007 18:33:13 +0200

asm (1.5.3-4) unstable; urgency=low

  * Updated standards version and uploader email
  * Added Section: specifications for binary packages

 -- Barry Hawkins <barry@alltc.com>  Sat, 06 May 2006 21:48:59 -0400

asm (1.5.3-3) unstable; urgency=low

  * kaffe compiler transition
  * Added myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 14:29:46 +0100

asm (1.5.3-2) unstable; urgency=low

  * Added missing dpatch build dependency (Closes: #328741) 

 -- Barry Hawkins <barry@bytemason.org>  Sat, 17 Sep 2005 16:37:36 -0400

asm (1.5.3-1) unstable; urgency=low

  * New upstream version.
  * Package moved to main using kaffe and ant (Closes: #310237)
  * Removed ow_util_ant_tasks.uue and build against libow-util-ant-tasks-java
  * Removed sharutils build dependency - no longer needed
  * Removed ${misc:Depends} from depends - not needed in binary all package
  * Adjusted build-dep on libow-util-ant-tasks-java to fixed 1.3-2 version
  * Fixed description to make linda happy
  * Package moved into Debian Java Maintainers project
  * Updated standards version to 3.6.2

 -- Barry Hawkins <barry@bytemason.org>  Wed, 17 Aug 2005 00:18:39 -0400

asm (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Crafter <crafterm@debian.org>  Sat, 18 Dec 2004 23:05:32 +0100

asm (1.4.3-2) unstable; urgency=low

  * Fixed broken link to asm.jar

 -- Marcus Crafter <crafterm@debian.org>  Wed,  1 Sep 2004 22:30:33 +0200

asm (1.4.3-1) unstable; urgency=low

  * Initial Release.
    (closes: #268643)

 -- Marcus Crafter <crafterm@debian.org>  Fri, 27 Aug 2004 19:08:25 +0200
