=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := gnujaxp ant-junit junit xalan2 ow_util_ant_tasks
DEB_ANT_BUILD_TARGET := dist

install/libasm2-java::
	mh_installpoms -plib$(PACKAGE)-java
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2 debian/poms/asm.pom output/dist/lib/asm-$(DEB_UPSTREAM_VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2-analysis debian/poms/asm-analysis.pom output/dist/lib/asm-analysis-$(DEB_UPSTREAM_VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2-attrs debian/poms/asm-attrs.pom output/dist/lib/asm-attrs-$(DEB_UPSTREAM_VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2-commons debian/poms/asm-commons.pom output/dist/lib/asm-commons-$(DEB_UPSTREAM_VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2-tree debian/poms/asm-tree.pom output/dist/lib/asm-tree-$(DEB_UPSTREAM_VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2-util debian/poms/asm-util.pom output/dist/lib/asm-util-$(DEB_UPSTREAM_VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l --usj-name=asm2-xml debian/poms/asm-xml.pom output/dist/lib/asm-xml-$(DEB_UPSTREAM_VERSION).jar

install/libasm2-java-doc::
	install -d $(CURDIR)/debian/libasm2-java-doc/usr/share/doc/libasm2-java/api
	install -d $(CURDIR)/debian/libasm2-java-doc/usr/share/doc/libasm2-java-doc
	mv output/dist/doc/javadoc/user/* $(CURDIR)/debian/libasm2-java-doc/usr/share/doc/libasm2-java/api
	mv output/dist/examples $(CURDIR)/debian/libasm2-java-doc/usr/share/doc/libasm2-java-doc

clean::
	mh_clean

get-orig-pom:
	wget -O debian/poms/asm.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm/$(VERSION)/asm-$(VERSION).pom
	wget -O debian/poms/asm-attrs.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-attrs/$(VERSION)/asm-attrs-$(VERSION).pom
	wget -O debian/poms/asm-analysis.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-analysis/$(VERSION)/asm-analysis-$(VERSION).pom
	wget -O debian/poms/asm-commons.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-commons/$(VERSION)/asm-commons-$(VERSION).pom
	wget -O debian/poms/asm-tree.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-tree/$(VERSION)/asm-tree-$(VERSION).pom
	wget -O debian/poms/asm-util.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-util/$(VERSION)/asm-util-$(VERSION).pom
	wget -O debian/poms/asm-xml.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-xml/$(VERSION)/asm-xml-$(VERSION).pom
	wget -O debian/poms/asm-parent.pom http://repository.sonatype.org/service/local/repositories/central/content/asm/asm-parent/$(VERSION)/asm-parent-$(VERSION).pom
